# shithook

A c++ header only library for inline hooking on windows. Supports 64 bit and 32 bit applications. Small, simple, and easily detected :)

# usage

Installing the hook/Init.
```cpp
hook::make_hook(
    &WriteFile,      //address to put inline hook at.
    &HookWriteFile   //address to jmp too.
);
```

Disabling the hook so you can call the original function.
```cpp
 hook::disable(&WriteFile);
 WriteFile(.....)
```

Enabling the hook.
```
hook::enable(&WriteFile);
```